rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 19 -N 5 -f 0" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 20 -N 4 -f 0" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 20 -N 5 -f 1" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 20 -N 5 -f 0" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 100 -f 1" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 1000 -f 0" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 999 -f 0" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 998 -f 0" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 97 -f 0" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 15 -f 0" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 5 -f 0" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 2 -f 0" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000 -N 123213 -f 0" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 10000 -f 1" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 999999 -f 0" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 99998 -f 0" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 31622 -f 0" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 7905 -f 0" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 99995 -f 0" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 9994 -f 0" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 10 -f 0" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000 -N 2 -f 0" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 1000000000 -f 1" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 25 -f 0" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 99999998 -f 0" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 9999997 -f 0" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 999996 -f 0" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 99995 -f 0" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 9994 -f 0" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 10 -f 0" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen.exe -K 1000000000000000000 -N 2 -f 1" "tests\34" 34
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "0"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "2"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "2"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "2"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "2"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "2"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "2"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "2"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "2"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "2"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "3"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "3"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "3"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "3"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "3"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "3"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "3"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "3"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "4"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "4"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "4"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "4"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "4"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "4"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "4"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "4"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "4"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "4"

